#include <iostream>

using namespace std;

int main()
{
    string t, s;
    cin >> t >> s;
    if(s == "a")
    {
        int rez = 0;
        for(int i = 0; i < (int)t.size(); i++)
        {
            if(t[i] == 'a')
            {
                t[i] = '*';
                rez++;
            }
        }
        cout << rez << endl;
        cout << t << endl;
    }
    else if(s == "ab")
    {
        int a = 0, b = 0;
        bool imaA = false;
        int poslednjaPojavaB;
        for(int i = 0; i < (int)t.size(); i++)
        {
            if(t[i] == 'a')
            {
                imaA = true;
                a++;
            }
            if(t[i] == 'b' && imaA)
            {
                poslednjaPojavaB = i;
                b++;
            }
        }
        if(a < b)
        {
            for(int i = 0; i < (int)t.size(); i++)
            {
                if(t[i] == 'a' && i < poslednjaPojavaB)
                    t[i] = '*';
                else if(t[i] == 'a' && i > poslednjaPojavaB)
                    a--;
            }
            cout << a << endl;
            cout << t << endl;
        }
        else
        {
            int b2 = b;
            for(int i = (int)t.size() - 1; i >= 0; i--)
            {
                if(t[i] == 'b' && b2 > 0)
                {
                    t[i] = '*';
                    b2--;
                }
            }
            cout << b << endl;
            cout << t << endl;
        }
    }
    else if(s == "abc")
    {
        int m = (int)t.size();
        int prvePojave[3] = {-1, -1, -1};
        int poslednjePojave[3] = {-1, -1, -1};
        for(int i = 0; i < m; i++)
        {
            if(t[i] == 'a' && prvePojave[0] == -1)
            {
                prvePojave[0] = i;
            }
            else if(t[i] == 'b' && prvePojave[0] != -1 && prvePojave[1] == -1)
            {
                prvePojave[1] = i;
            }
            else if(t[i] == 'c' && prvePojave[0] != -1 && prvePojave[1] != -1 && prvePojave[2] == -1)
            {
                prvePojave[2] = i;
                break;
            }
        }
        for(int i = m-1; i >= 0; i--)
        {
            if(t[i] == 'c' && poslednjePojave[2] == -1)
            {
                poslednjePojave[2] = i;
            }
            else if(t[i] == 'b' && poslednjePojave[2] != -1 && poslednjePojave[1] == -1)
            {
                poslednjePojave[1] = i;
            }
            else if(t[i] == 'a' && poslednjePojave[2] != -1 && poslednjePojave[1] != -1 && poslednjePojave[0] == -1)
            {
                poslednjePojave[0] = i;
                break;
            }
        }

        int a, b, c;
        a = b = c = 0;
        for(int i = 0; i < m; i++)
        {
            if(t[i] == 'a' && i >= prvePojave[0] && i <= poslednjePojave[0])
            {
                a++;
            }
            else if(t[i] == 'b' && i >= prvePojave[1] && i <= poslednjePojave[1])
            {
                b++;
            }
            else if(t[i] == 'c' && i >= prvePojave[2] && i <= poslednjePojave[2])
            {
                c++;
            }
        }

        int rez = 0;
        if(a <= b && a <= c)
        {
            for(int i = 0; i < m; i++)
            {
                if(t[i] == 'a' && i >= prvePojave[0] && i <= poslednjePojave[0])
                {
                    rez++;
                    t[i] = '*';
                }
            }
        }
        else if(b <= a && b <= c)
        {
            for(int i = 0; i < m; i++)
            {
                if(t[i] == 'b' && i >= prvePojave[1] && i <= poslednjePojave[1])
                {
                    rez++;
                    t[i] = '*';
                }
            }
        }
        else
        {
            for(int i = 0; i < m; i++)
            {
                if(t[i] == 'c' && i >= prvePojave[2] && i <= poslednjePojave[2])
                {
                    rez++;
                    t[i] = '*';
                }
            }
        }
        cout << rez << endl;
        cout << t;
    }
    else
    {
        int a = 0;
        for(int i = 0; i < (int)t.size(); i++)
        {
            if(t[i] == 'a')
            {
                a++;
            }
        }
        int x = a - s.size();
        for(int i = 0; i < (int)t.size(); i++)
        {
            if(t[i] == 'a'  && x >= 0)
            {
                t[i] = '*';
                x--;
            }
        }
        cout << a - s.size() + 1 << endl;
        cout << t << endl;
    }
    return 0;
}